.header {
    padding: 28px 0;
    background-color: $black;
    position: fixed;
    width: 100%;
    left: 0;
    top: 0;
    z-index: 5;

    @media (max-width: 425px) {
        padding: 20px 0;
    }

    &__nav {
        display: flex;
        align-items: center;
        justify-content: space-between;

        .wrapper {
            display: flex;
            align-items: center;
            gap: 76px;

            @media (max-width: 1580px) {
                gap: 46px;
            }

            @media (max-width: 1440px) {
                gap: 91px;
            }

            @media (max-width: 756px) {
                gap: 46px;
            }

            @media (max-width: 425px) {
                justify-content: space-between;
                width: 100%;
            }

            .logo {
                --animate-duration: 1s;

                @media (max-width: 425px) {
                    width: 112px;
                    height: 38px;
                }
            }

            .menu__btn {
                display: none;
                flex-direction: column;
                gap: 5px;
                width: 30px;
                --animate-duration: 2s;

                span {
                   background-color: $white;
                   border-radius: 10px;
                   height: 3px;
                   transition: 0.3s ease;

                   &:nth-child(1) {
                    width: 15px;
                   }

                   &:nth-child(2) {
                    width: 30px;
                   }

                   &:nth-child(3) {
                    width: 20px;
                   }
                }

                @media (max-width: 1440px) {
                    display: flex;
                }
            }

            .menu__btn.active {
                position: relative;

                span {
                    background-color: $white;
                    border-radius: 10px;
                    height: 3px;
                    transition: 0.3s ease;
 
                    &:nth-child(1) {
                        width: 30px;
                        transform: rotate(45deg);
                        position: absolute;
                        top: 0;
                        left: 0;
                    }
 
                    &:nth-child(2) {
                        width: 30px;
                        transform: rotate(45deg);
                        position: absolute;
                        top: 0;
                        left: 0;
                    }
 
                    &:nth-child(3) {
                        width: 30px;
                        transform: rotate(-45deg);
                        position: absolute;
                        top: 0;
                        left: 0;
                    }
                 }
            }

            .menu {
                display: flex;
                gap: 42px;

                @media (max-width: 1440px) {
                    position: fixed;
                    left: -150%;
                    top: 115px;
                    overflow: hidden;
                    visibility: hidden;
                    opacity: 0;
                    flex-direction: column;
                    padding: 59px 49px;
                    width: 100%;
                    height: 100vh;
                    background-color: $black;
                    gap: 15px;
                    transition: 0.3s ease;

                }

                @media (max-width: 576px) {
                    padding: 30px 30px;
                }

                @media (max-width: 425px) {
                    top: 78px;
                    padding: 20px 30px;
                }

                @media (max-width: 360px) {
                    padding: 0 15px;
                }

                &__link {
                    color: $white;
                    font-size: 14px;
                    font-style: normal;
                    font-weight: 700;
                    line-height: 150%; 

                    @include fadeInDownLinks;

                    &:hover {
                        color: $brown;
                    }

                    @media (max-width: 1440px) {
                        font-size: 36px;
                        color: transparent;
                        -webkit-text-stroke: 1px $white;
                        text-stroke: 1px white;
                        opacity: 0.75;
                        color: $black;
                        font-family: 'Mulish';

                        &:hover {
                            -webkit-text-stroke: 1px $brown;
                            text-stroke: 1px $brown;
                            color: transparent;
                        }
                    }

                    @media (max-width: 425px) {
                        font-size: 20px;
                    }
                }

                .mobile-callback {
                    @media (max-width: 360px) {
                        flex-direction: column;
                    }

                    .callback__call {
                        display: none;

                        @media (max-width: 425px) {
                            display: flex;
                        }

                        @media (max-width: 360px) {
                            width: 100%;
                            justify-content: center;
                        }
                    }

                    .callback__btn {
                        display: none;

                        @media (max-width: 756px) {
                            display: flex;
                        }

                        @media (max-width: 360px) {
                            width: 100%;
                            justify-content: center;

                            &:after {
                                display: none;
                            }
                        }
                    }
                }
            }

            .menu.active {
                left: 0;
                overflow: visible;
                visibility: visible;
                opacity: 1;
            }
        }

        .callback {
            display: flex;
            align-items: center;
            gap: 20px;
            --animate-duration: 2s;

        
            &__call {
                background-color: transparent;
                border: 1px solid $white;
                padding: 13px 16px;
                transform: skew(-20deg);
                opacity: 0.5;

                @media (max-width: 425px) {
                    display: none;
                }
                
                .icon {
                    display: block;
                    transform: skew(20deg);
                }

                &:hover {
                    opacity: 1;
                }
            }

            &__btn {
                @include mainBtn;
                
                
                @media (max-width: 1580px) {
                    padding: 21px 21px;
                }

                @media (max-width: 756px) {
                    display: none;
                }
            }
        }
    }
}